Subject: Re: linux-next: Tree for Aug 27 (sound/soc/mediatek: Kconfig)

From: Trevor Wu <[email-masked]>
Date: Mon, 30 Aug 2021 10:00:55 +0800

On Fri, 2021-08-27 at 11:39 -0700, Randy Dunlap wrote:
> On 8/27/21 4:24 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20210826:
> > 
> > The kbuild tree still had its build failure for which I reverted a
> > commit.
> > 
> > The uml tree gained a conflict against the asm-generic tree.
> > 
> > The net-next tree still had its build failure for which I applied a
> > patch and it also gained a semantic conflict against Linus' tree.
> > 
> > The bpf-next tree lost its build failure.
> > 
> > The tip tree gained conflicts against the arm64 tree.
> > 
> > The ftrace tree gained a conflict against the uml tree.
> > 
> > The vfio tree gained conflicts against the drm tree.
> > 
> > The kspp tree still had its build failure so I used the version
> > from
> > next-20210825.
> > 
> > Non-merge commits (relative to Linus' tree): 9867
> >   9528 files changed, 552507 insertions(+), 227054 deletions(-)
> > 
> > -----------------------------------------------------------------
> > -----------
> > 
> > I have created today's linux-next tree at
> > git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> > (patches at 
> > https://urldefense.com/v3/__http://www.kernel.org/pub/linux/kernel/next/__;!!CTRNKA9wMg0ARbw!1Elrd3C7VsM3veH53cUbQL6aJZ-wvxXFQPfv49y4jkBaC_NYoz65Fd1XDWUYNuUemg$
> >   ).  If you
> > are tracking the linux-next tree using git, you should not use "git
> > pull"
> > to do so as that will try to merge the new linux-next release with
> > the
> > old one.  You should use "git fetch" and checkout or reset to the
> > new
> > master.
> > 
> > You can see which trees have been included by looking in the
> > Next/Trees
> > file in the source.  There are also quilt-import.log and merge.log
> > files in the Next directory.  Between each merge, the tree was
> > built
> > with a ppc64_defconfig for powerpc, an allmodconfig for x86_64, a
> > multi_v7_defconfig for arm and a native build of tools/perf. After
> > the final fixups (if any), I do an x86_64 modules_install followed
> > by
> > builds for x86_64 allnoconfig, powerpc allnoconfig (32 and 64 bit),
> > ppc44x_defconfig, allyesconfig and pseries_le_defconfig and i386,
> > sparc
> > and sparc64 defconfig and htmldocs. And finally, a simple boot test
> > of the powerpc pseries_le_defconfig kernel in qemu (with and
> > without
> > kvm enabled).
> > 
> > Below is a summary of the state of the merge.
> > 
> > I am currently merging 334 trees (counting Linus' and 90 trees of
> > bug
> > fix patches pending for the current merge release).
> > 
> > Stats about the size of the tree over time can be seen at
> > 
https://urldefense.com/v3/__http://neuling.org/linux-next-size.html__;!!CTRNKA9wMg0ARbw!1Elrd3C7VsM3veH53cUbQL6aJZ-wvxXFQPfv49y4jkBaC_NYoz65Fd1XDWUMIEk3KA$
> > A$  .
> > 
> > Status of my local build tests will be at
> > 
https://urldefense.com/v3/__http://kisskb.ellerman.id.au/linux-next__;!!CTRNKA9wMg0ARbw!1Elrd3C7VsM3veH53cUbQL6aJZ-wvxXFQPfv49y4jkBaC_NYoz65Fd1XDWWTlM0ZzA$
> >   .  If maintainers want to give
> > advice about cross compilers/configs that work, we are always open
> > to add
> > more builds.
> > 
> > Thanks to Randy Dunlap for doing many randconfig builds.  And to
> > Paul
> > Gortmaker for triage and bug fixes.
> > 
> 
> on i386:
> 
> WARNING: unmet direct dependencies detected for SND_SOC_MT6359
>    Depends on [n]: SOUND [=y] && !UML && SND [=y] && SND_SOC [=y] &&
> MTK_PMIC_WRAP [=n]
>    Selected by [y]:
>    - SND_SOC_MT8195_MT6359_RT1019_RT5682 [=y] && SOUND [=y] && !UML
> && SND [=y] && SND_SOC [=y] && I2C [=y] && SND_SOC_MT8195 [=y]
> 
> 
> caused by 40d605df0a7b: ASoC: mediatek: mt8195: add machine driver
> with mt6359, rt1019 and rt5682
> 
> Full randconfig file is attached.
> 

Hi Randy,

I will add a dependency to avoid that.

Thanks,
Trevor